%**************************************************************************
% This file is part of the MLS-C Library; you can redistribute it and/or 
% modify it under the terms of the GNU Lesser General Public License as 
% published by the Free Software Foundation; either version 3 of the 
% License,or any later version.
% This program is distributed in the hope that it will be useful but 
% WITHOUT ANY WARRANTY; without even the implied warranty of 
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
% Public License for more details.
% You should have received a copy of the GNU Lesser General Public License
% along with GNU; see the file COPYING.  If not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
% or see <http://www.gnu.org/licenses/>.
%**************************************************************************
% Created by: 
%    E Nadal, M Ouallal, JJ Rodenas, F Chinesta and FJ Fuenmayor
%  
% Release 1.0  
% Date: 18/07/2014
%**************************************************************************

%%
% This script is implemented to plot the geometry we work with.

figure
hold on
axis equal


for i=1:size(Boundaries,1)
    if Boundaries(i,3)==0
        Points=Boundaries(i,1:2);
        XYPoints=GeoPoints(Points,:);
        line(XYPoints(:,1),XYPoints(:,2));
    elseif Boundaries(i,3)>=0
        Points=Boundaries(i,1:2);
        XYPoints=GeoPoints(Points,:);
        XYCenter=GeoPoints(Boundaries(i,3),:);
        plot_arc(XYPoints(1,:),XYPoints(2,:),...
            XYCenter,Boundaries(i,4));
    end
end
