%**************************************************************************
% This file is part of the MLS-C Library; you can redistribute it and/or 
% modify it under the terms of the GNU Lesser General Public License as 
% published by the Free Software Foundation; either version 3 of the 
% License,or any later version.
% This program is distributed in the hope that it will be useful but 
% WITHOUT ANY WARRANTY; without even the implied warranty of 
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
% Public License for more details.
% You should have received a copy of the GNU Lesser General Public License
% along with GNU; see the file COPYING.  If not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
% or see <http://www.gnu.org/licenses/>.
%**************************************************************************
% Created by: 
%    E Nadal, M Ouallal, JJ Rodenas, F Chinesta and FJ Fuenmayor
%  
% Release 1.0  
% Date: 18/07/2014
%**************************************************************************
%%
mkdir(ProblemDirF);

% Plot Influence radius
figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],Auxds,'filled'); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Influence Redius'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],log10(CondNum),'filled'); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Log10 Condition number'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],FieldStGP(:,1)); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Sxx MLS'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],FieldFEGP(:,1)); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Sxx RKPM'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],FieldStGP(:,2)); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Syy MLS'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],FieldFEGP(:,2)); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Syy RKPM'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],FieldStGP(:,3)); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Sxy MLS'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);

figure; hold on; PlotGeo;  hold on;
scatter(XYZGP(:,1),XYZGP(:,2),[],FieldFEGP(:,3)); colorbar;
h     = gcf();
hold off
Title = ['Mesh_' num2str(Mesh) '_Sxy RKPM'];
FigureConfig(h,Title);
hgsave(h,[ProblemDirF '\' Title])
print(h,[ProblemDirF '\' Title],'-depsc');
close(h);